Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface EntryBase

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  ToolEntry, ToolGroup

All Known Implementing Classes:
  EntryBaseImpl, ToolEntryImpl, ToolGroupImpl

public interface EntryBase
extends EObject

A representation of the model object 'Entry Base'.

The following features are supported:

- `Title`
- `Description`
- `Large Icon Path`
- `Small Icon Path`
- `Create Method Name`

See Also:
  `GMFGenPackage.getEntryBase()`
** Generated **
Model:
  abstract="true"

Method Summary
`java.lang.String` `getCreateMethodName()` Returns the value of the 'Create Method Name' attribute
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute
`java.lang.String` `getLargeIconPath()` Returns the value of the 'Large Icon Path' attribute
`java.lang.String` `getSmallIconPath()` Returns the value of the 'Small Icon Path' attribute
`java.lang.String` `getTitle()` Returns the value of the 'Title' attribute
`void` `setCreateMethodName(java.lang.String value)` Sets the value of the '`Create Method Name`' attribute
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute
`void` `setLargeIconPath(java.lang.String value)` Sets the value of the '`Large Icon Path`' attribute
`void` `setSmallIconPath(java.lang.String value)` Sets the value of the '`Small Icon Path`' attribute
`void` `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTitle

    public java.lang.String getTitle()

  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' attribute.
  See Also:
    `EntryBase.setTitle(String)`, `GMFGenPackage.getEntryBase_Title()`
  ** Generated **
  Model:

### setTitle

    public void setTitle(java.lang.String value)

  Sets the value of the '`Title`' attribute.

  Parameters:
    `value` - the new value of the 'Title' attribute.
  See Also:
    `EntryBase.getTitle()`
  ** Generated **

### getDescription

    public java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `EntryBase.setDescription(String)`, `GMFGenPackage.getEntryBase_Description()`
  ** Generated **
  Model:

### setDescription

    public void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `EntryBase.getDescription()`
  ** Generated **

### getLargeIconPath

    public java.lang.String getLargeIconPath()

  Returns the value of the 'Large Icon Path' attribute.

  If the meaning of the 'Large Icon Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Large Icon Path' attribute.
  See Also:
    `EntryBase.setLargeIconPath(String)`, `GMFGenPackage.getEntryBase_LargeIconPath()`
  ** Generated **
  Model:

### setLargeIconPath

    public void setLargeIconPath(java.lang.String value)

  Sets the value of the '`Large Icon Path`' attribute.

  Parameters:
    `value` - the new value of the 'Large Icon Path' attribute.
  See Also:
    `EntryBase.getLargeIconPath()`
  ** Generated **

### getSmallIconPath

    public java.lang.String getSmallIconPath()

  Returns the value of the 'Small Icon Path' attribute.

  If the meaning of the 'Small Icon Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Small Icon Path' attribute.
  See Also:
    `EntryBase.setSmallIconPath(String)`, `GMFGenPackage.getEntryBase_SmallIconPath()`
  ** Generated **
  Model:

### setSmallIconPath

    public void setSmallIconPath(java.lang.String value)

  Sets the value of the '`Small Icon Path`' attribute.

  Parameters:
    `value` - the new value of the 'Small Icon Path' attribute.
  See Also:
    `EntryBase.getSmallIconPath()`
  ** Generated **

### getCreateMethodName

    public java.lang.String getCreateMethodName()

  Returns the value of the 'Create Method Name' attribute.

  If the meaning of the 'Create Method Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Create Method Name' attribute.
  See Also:
    `EntryBase.setCreateMethodName(String)`, `GMFGenPackage.getEntryBase_CreateMethodName()`
  ** Generated **
  Model:

### setCreateMethodName

    public void setCreateMethodName(java.lang.String value)

  Sets the value of the '`Create Method Name`' attribute.

  Parameters:
    `value` - the new value of the 'Create Method Name' attribute.
  See Also:
    `EntryBase.getCreateMethodName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.